> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update activity



## OpenAPI

````yaml patch /v1/activities/{id}
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/activities/{id}:
    patch:
      summary: Update activity
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditActivityBody'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivityResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EditActivityBody:
      type: object
      properties:
        title:
          type: string
          minLength: 1
          maxLength: 100
        caption:
          type: string
          minLength: 1
          maxLength: 500
      required:
        - title
      additionalProperties: false
    ActivityResponse:
      type: object
      properties:
        id:
          type: number
        type:
          type: string
        title:
          type:
            - string
            - 'null'
        content:
          type:
            - string
            - 'null'
        location:
          type:
            - string
            - 'null'
        token_id:
          type:
            - number
            - 'null'
        user_id:
          type:
            - string
            - 'null'
        image:
          type:
            - object
            - 'null'
          properties:
            url:
              type:
                - string
                - 'null'
        video:
          type:
            - object
            - 'null'
          properties:
            url:
              type:
                - string
                - 'null'
            poster_url:
              type:
                - string
                - 'null'
        gallery:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              url:
                type:
                  - string
                  - 'null'
              file_type:
                type:
                  - string
                  - 'null'
              poster_url:
                type:
                  - string
                  - 'null'
              order:
                type:
                  - number
                  - 'null'
        created_at:
          type: string
        updated_at:
          type:
            - string
            - 'null'
      required:
        - id
        - type
        - created_at
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````